package com.goldenwater.slaj.eng.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.goldenwater.common.core.controller.BaseController;
import com.goldenwater.common.core.domain.AjaxResult;
import com.goldenwater.common.core.page.TableDataInfo;
import com.goldenwater.slaj.eng.domain.AttEngOthe;
import com.goldenwater.slaj.eng.service.IEngAttrService;

/**
 * 其他工程属性
 */
@RestController
@RequestMapping("/eng/attr/othe")
public class AttEngOtheController extends BaseController {

    @Autowired
    private IEngAttrService<AttEngOthe> otheEngAttrService;

    @GetMapping("/list")
    public TableDataInfo list(AttEngOthe attEngOthe) {
        startPage();
        List<AttEngOthe> list = otheEngAttrService.selectList(attEngOthe);
        return getDataTable(list);
    }

    @GetMapping("/{guid}")
    public AjaxResult getInfo(@PathVariable String guid) {
        return AjaxResult.success(otheEngAttrService.selectByGuid(guid));
    }

    @PostMapping
    public AjaxResult add(@RequestBody AttEngOthe entity) {
        return toAjax(otheEngAttrService.insert(entity));
    }

    @PutMapping
    public AjaxResult edit(@RequestBody AttEngOthe entity) {
        return toAjax(otheEngAttrService.update(entity));
    }

    @DeleteMapping("/{guids}")
    public AjaxResult remove(@PathVariable String[] guids) {
        return toAjax(otheEngAttrService.deleteByGuids(guids));
    }
}
